> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Argentina companies search

> Search the Argentina registry of legal entities (Registro Nacional de Sociedades, IGJ) by company name or CUIT: name, CUIT, company type, address, main activity and link. 1 point per returned record.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-ar-companies-search
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
  - name: Company Registries
    description: Company Registries data sources.
paths:
  /functions/v1/run-ar-companies-search:
    post:
      tags:
        - Company Registries
      summary: Argentina companies search
      description: >-
        Search the Argentina registry of legal entities (Registro Nacional de
        Sociedades, IGJ) by company name or CUIT: name, CUIT, company type,
        address, main activity and link. 1 point per returned record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keyword:
                  description: Company name. e.g. ypf
                  type: string
                max_items:
                  description: Max items (up to 250)
                  type: integer
                  minimum: 1
                  maximum: 250
                  default: 25
                start_page:
                  description: Starting page
                  type: integer
                  minimum: 1
                status:
                  description: >-
                    Status. Options: active = Active, inactive = Inactive /
                    dissolved
                  type: string
                  enum:
                    - active
                    - inactive
              required:
                - keyword
            example:
              keyword: ypf
              max_items: 2
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  keyword:
                    type: string
                  max_items:
                    type: integer
                  start_page:
                    type: integer
                  partial:
                    type: boolean
                    description: >-
                      True when the scrape stopped early and returned the
                      records collected so far.
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      total_items:
                        type: integer
                      first_item:
                        type: object
                        properties:
                          registration_number:
                            type: string
                          name:
                            type: string
                          status: {}
                          address:
                            type: string
                          url:
                            type: string
                          company_type:
                            type: string
                          incorporation_date:
                            type: string
                          main_activity:
                            type: string
                          province:
                            type: string
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            registration_number:
                              type: string
                            name:
                              type: string
                            status: {}
                            address:
                              type: string
                            url:
                              type: string
                            company_type:
                              type: string
                            incorporation_date:
                              type: string
                              nullable: true
                            main_activity:
                              type: string
                            province:
                              type: string
                      total_found:
                        type: integer
                      page_count:
                        type: integer
                      blocked:
                        type: boolean
                      proxy_traffic_bytes:
                        type: integer
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: ar_companies_search
                keyword: ypf
                max_items: 2
                start_page: 1
                partial: false
                human: >-
                  # Argentina — Registro Nacional de Sociedades (IGJ) — company
                  search


                  - **Keyword:** ypf

                  - **Results:** 2 of 77 found

                  - **Proxy traffic:** 141.6 KB
                machine:
                  total_items: 2
                  first_item:
                    registration_number: 30-51548847-9
                    name: YPF GAS SOCIEDAD ANONIMA
                    status: null
                    address: >-
                      GUEMES, MACACHA,BOULEVARD 515, CAPITAL FEDERAL, CIUDAD
                      AUTONOMA BUENOS AIRES (CP 1106)
                    url: >-
                      https://www.argentina.gob.ar/justicia/registro-nacional-sociedades?cuit=30515488479&razon=
                    company_type: SOCIEDAD ANONIMA
                    incorporation_date: '1961-08-07'
                    main_activity: >-
                      479900 - Venta al por menor no realizada en
                      establecimientos n.c.p.
                    province: CIUDAD AUTONOMA BUENOS AIRES
                  items:
                    - registration_number: 30-51548847-9
                      name: YPF GAS SOCIEDAD ANONIMA
                      status: null
                      address: >-
                        GUEMES, MACACHA,BOULEVARD 515, CAPITAL FEDERAL, CIUDAD
                        AUTONOMA BUENOS AIRES (CP 1106)
                      url: >-
                        https://www.argentina.gob.ar/justicia/registro-nacional-sociedades?cuit=30515488479&razon=
                      company_type: SOCIEDAD ANONIMA
                      incorporation_date: '1961-08-07'
                      main_activity: >-
                        479900 - Venta al por menor no realizada en
                        establecimientos n.c.p.
                      province: CIUDAD AUTONOMA BUENOS AIRES
                    - registration_number: 30-53928704-0
                      name: REPARTIDORES DE KEROSENE YPF DE CORDOBA S R L
                      status: null
                      address: RIO QUILPO 0, BARRIO LOS OLMOS, CORDOBA (CP 5016)
                      url: >-
                        https://www.argentina.gob.ar/justicia/registro-nacional-sociedades?cuit=30539287040&razon=
                      company_type: SOCIEDAD DE RESPONSABILIDAD LIMITADA
                      incorporation_date: null
                      main_activity: 505000 -
                      province: CORDOBA
                  total_found: 77
                  page_count: 1
                  blocked: false
                  proxy_traffic_bytes: 144995
                total_points: 2
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.